# Method: accounts.locations.updateHealthProviderAttributes

- [HTTP request](https://developers.google.com/my-business/reference/rest/v4/accounts.locations/updateHealthProviderAttributes#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/my-business/reference/rest/v4/accounts.locations/updateHealthProviderAttributes#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/my-business/reference/rest/v4/accounts.locations/updateHealthProviderAttributes#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/my-business/reference/rest/v4/accounts.locations/updateHealthProviderAttributes#body.request_body)
- [Response body](https://developers.google.com/my-business/reference/rest/v4/accounts.locations/updateHealthProviderAttributes#body.response_body)
- [Authorization Scopes](https://developers.google.com/my-business/reference/rest/v4/accounts.locations/updateHealthProviderAttributes#body.aspect)

Updates the Health provider attributes of a specific location.

### HTTP request

`PATCH https://mybusiness.googleapis.com/v4/{healthProviderAttributes.name=accounts/*/locations/*/healthProviderAttributes}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `healthProviderAttributes.name` | `string` Required. Google identifier for this location in the form: `accounts/{accountId}/locations/{locationId}/healthProviderAttributes` |

### Query parameters

| Parameters ||
|---|---|
| `updateMask` | ``string (`https://developers.google.com/protocol-buffers/docs/reference/google.protobuf#google.protobuf.FieldMask` format)`` Optional. The specific fields to update. If no mask is specified, then this is treated as a full update and all fields are set to the values passed in, which may include unsetting empty fields in the request. In V1, there is only the insuranceNetworks field to update. More attributes will be supported later. This is a comma-separated list of fully qualified names of fields. Example: `"user.displayName,photo"`. |

### Request body

The request body contains an instance of `https://developers.google.com/my-business/reference/rest/v4/HealthProviderAttributes`.

### Response body

If successful, the response body contains an instance of `https://developers.google.com/my-business/reference/rest/v4/HealthProviderAttributes`.

### Authorization Scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/plus.business.manage`
- `https://www.googleapis.com/auth/business.manage`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).